List Audit Logs
curl --request GET \
--url https://api.primeintellect.ai/api/admin/audit-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/admin/audit-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/admin/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"keyPrefix": "<string>",
"resource": "<string>",
"action": "<string>",
"granted": true,
"userEmail": "<string>",
"adminRole": "<string>",
"layer": "<string>",
"teamId": "<string>",
"targetUserId": "<string>",
"resourceId": "<string>",
"method": "<string>",
"path": "<string>",
"requestData": {}
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}admin-audit-logs
List Audit Logs
List recorded admin operations, newest first, filtered by the query.
GET
/
api
/
admin
/
audit-logs
List Audit Logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter to a single resource type.
Filter to a single acting admin.
Filter to one admin's email.
Filter to a single API key.
Filter to a single action type.
true = allowed, false = denied.
Contains match over admin, key, resource, resource id, path.
Number of items to skip.
Required range:
x >= 0Max items to return (1-100).
Required range:
1 <= x <= 100Response
Successful Response
Show child attributes
Show child attributes
Total number of items available in the dataset
Number of items to skip before starting to collect the result set
Required range:
x >= 0Maximum number of items to return
Required range:
x >= 0Response status
Was this page helpful?